<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@40900B=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Sprite can disappear though!</comment>
    <script state="run">
      <action>maincpu.pb@409501=01</action>
      <action>maincpu.pb@409529=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Crystal PL1">
    <script state="run">
      <action>maincpu.pb@40900F=99</action>
      <action>maincpu.pb@40900E=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon PL1">
    <script state="run">
      <action>maincpu.pb@409538=16</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Shot PL1">
    <script state="on">
      <action>maincpu.pb@409531=00</action>
    </script>
  </cheat>

  <cheat desc="Get Vulcan Shot PL1">
    <script state="on">
      <action>maincpu.pb@409531=01</action>
      <action>maincpu.pb@409538=16</action>
    </script>
  </cheat>

  <cheat desc="Get Penetration Shot PL1">
    <script state="on">
      <action>maincpu.pb@409531=02</action>
      <action>maincpu.pb@409538=16</action>
    </script>
  </cheat>

  <cheat desc="Get 3-Way Shot PL1">
    <script state="on">
      <action>maincpu.pb@409531=03</action>
      <action>maincpu.pb@409538=16</action>
    </script>
  </cheat>

  <cheat desc="Get Wide Shot PL1">
    <script state="on">
      <action>maincpu.pb@409531=04</action>
      <action>maincpu.pb@409538=16</action>
    </script>
  </cheat>

  <cheat desc="Get Stock Bomber Shot PL1">
    <script state="on">
      <action>maincpu.pb@409531=05</action>
      <action>maincpu.pb@40BCC1=01</action>
    </script>
  </cheat>

  <cheat desc="Maximum Power Stock Bomber PL1">
    <script state="run">
      <action>maincpu.pb@40BD09=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@40953B=06</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Bomb PL1">
    <script state="on">
      <action>maincpu.pb@409533=00</action>
    </script>
  </cheat>

  <cheat desc="Get Horming Missile PL1">
    <script state="on">
      <action>maincpu.pb@409533=01</action>
      <action>maincpu.pb@40953B=06</action>
    </script>
  </cheat>

  <cheat desc="Get Upper Bomb PL1">
    <script state="on">
      <action>maincpu.pb@409533=02</action>
      <action>maincpu.pb@40953B=06</action>
    </script>
  </cheat>

  <cheat desc="Get Fire Bomb PL1">
    <script state="on">
      <action>maincpu.pb@409533=03</action>
      <action>maincpu.pb@40953B=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@40902B=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Sprite can disappear though!</comment>
    <script state="run">
      <action>maincpu.pb@409561=01</action>
      <action>maincpu.pb@409589=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Crystal PL2">
    <script state="run">
      <action>maincpu.pb@40902F=99</action>
      <action>maincpu.pb@40902E=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon PL2">
    <script state="run">
      <action>maincpu.pb@409598=16</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Shot PL2">
    <script state="on">
      <action>maincpu.pb@409591=00</action>
    </script>
  </cheat>

  <cheat desc="Get Vulcan Shot PL2">
    <script state="on">
      <action>maincpu.pb@409591=01</action>
      <action>maincpu.pb@409598=16</action>
    </script>
  </cheat>

  <cheat desc="Get Penetration Shot PL2">
    <script state="on">
      <action>maincpu.pb@409591=02</action>
      <action>maincpu.pb@409598=16</action>
    </script>
  </cheat>

  <cheat desc="Get 3Way Shot PL2">
    <script state="on">
      <action>maincpu.pb@409591=03</action>
      <action>maincpu.pb@409598=16</action>
    </script>
  </cheat>

  <cheat desc="Get Wide Shot PL2">
    <script state="on">
      <action>maincpu.pb@409591=04</action>
      <action>maincpu.pb@409598=16</action>
    </script>
  </cheat>

  <cheat desc="Get Stock Bomber Shot PL2">
    <script state="on">
      <action>maincpu.pb@409591=05</action>
      <action>maincpu.pb@40BD21=01</action>
    </script>
  </cheat>

  <cheat desc="Maximum Power Stock Bomber PL2">
    <script state="run">
      <action>maincpu.pb@40BD69=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@40959B=06</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Bomb PL2">
    <script state="on">
      <action>maincpu.pb@409593=00</action>
    </script>
  </cheat>

  <cheat desc="Get Horming Missile PL2">
    <script state="on">
      <action>maincpu.pb@409593=01</action>
      <action>maincpu.pb@40959B=06</action>
    </script>
  </cheat>

  <cheat desc="Get Upper Bomb PL2">
    <script state="on">
      <action>maincpu.pb@409593=02</action>
      <action>maincpu.pb@40959B=06</action>
    </script>
  </cheat>

  <cheat desc="Get Fire Bomb PL2">
    <script state="on">
      <action>maincpu.pb@409593=03</action>
      <action>maincpu.pb@40959B=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>Works for all Namco Sys 2</comment>
    <script state="run">
      <action>maincpu.pb@10FE66=02</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
